@import "~/src/sass/variables.sass"

.text-input
  border: 1px solid var(--color-outline, $light-outline)
  border-radius: 5px

  width: 100%
  padding: 13px

  position: relative
  box-sizing: border-box

  display: flex
  flex-direction: row
  justify-content: space-between
  align-items: center

  color: var(--color-on-surface, $light-on-surface)

  transition-duration: 100ms

  p
    position: absolute
    top: 1.1rem
    left: 14px

    font-size: 1rem
    font-height: 1rem
    font-family: "Product Sans"

    margin: 0px
    border-radius: 3px
    background-color: var(--color-background, $light-background)

    pointer-events: none

    transition: all 200ms ease

  input
    color: var(--color-on-surface, $light-on-surface)
    background-color: transparent

    font-size: 1rem
    font-family: "Product Sans"

    border: none
    padding-right: 14px

    flex: 1
    width: 100%

  a
    color: var(--color-on-surface-variant, $light-on-surface-variant)
    text-decoration: none
    border: none
    font-size: 1.8rem
    transition-duration: 500ms


.text-input:focus-within, .focused //todo: add dark mode
  color: var(--color-primary, $light-primary)
  border-color: var(--color-primary, $light-primary)
  border-width: 2px
  padding: 12px

  p
    top: -0.55rem
    left: 6px

    padding: 0px 3px
    font-size: 12px

  input
    outline: none
    caret-color: var(--color-primary, $light-primary)


@media (prefers-color-scheme: dark)
  .text-input
    border-color: var(--color-outline, $dark-outline)
    color: var(--color-outline, $dark-outline)

    p
      background-color: var(--color-background, $dark-background)

    input
      color: var(--color-on-surface, $dark-on-surface)

    a
      color: var(--color-on-surface-variant, $dark-on-surface-variant)

  .text-input:focus-within, .focused
    color: var(--color-primary, $dark-primary)
    border-color: var(--color-primary, $dark-primary)

    input
      caret-color: var(--color-primary, $dark-primary)